Name:                snowball-java
Version:             0
Release:             2
Summary:             Java stemming algorithm library
License:             BSD-2-Clause
URL:                 http://snowball.tartarus.org
Source0:             http://snowball.tartarus.org/dist/libstemmer_java.tgz
Source1:             snowball-template-pom.xml
Source2:             snowball-notice.txt
Source3:             snowball-BSD-license.txt
Patch0:              snowball-remove-unreachable-statement.patch

BuildArch:           noarch
BuildRequires:       maven-local

%description
Snowball is a small string processing language
designed for creating stemming algorithms
for use in Information Retrieval.
This package contains all you need to include the
snowball stemming algorithms into a Java
project of your own. If you use this,
you don't need to use the snowball compiler,
or worry about the internals of the
stemmers in any way.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n libstemmer_java
%patch0 -p0
cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{version}|" pom.xml
cp -p %{SOURCE2} notice.txt
cp -p %{SOURCE3} license.txt
sed -i 's/\r//' license.txt notice.txt
%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license license.txt notice.txt

%files javadoc -f .mfiles-javadoc
%license license.txt notice.txt

%changelog
* Tue May 10 2022 liyanan <liyanan32@h-partners.com> - 0-2
- License compliance rectification

* Thu Jul 30 2020 maminjie <maminjie1@huawei.com> - 0-1
- package init
